<?php 
class ControllerPaymentChronoPay extends Controller {
	private $error = array(); 

	public function index() {
		$this->load->language('payment/chronopay');

		$this->document->title = $this->language->get('heading_title');
		
		$this->load->model('setting/setting');
			
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate())) {
			$this->load->model('setting/setting');
			
			$this->model_setting_setting->editSetting('chronopay', $this->request->post);				
			
			$this->session->data['success'] = $this->language->get('text_success');

			$this->redirect($this->url->https('extension/payment'));
		}

		$this->data['heading_title'] = $this->language->get('heading_title');

		$this->data['text_enabled'] = $this->language->get('text_enabled');
		$this->data['text_disabled'] = $this->language->get('text_disabled');
		$this->data['text_all_zones'] = $this->language->get('text_all_zones');
		$this->data['text_none'] = $this->language->get('text_none');
				
		$this->data['entry_status'] = $this->language->get('entry_status');
		$this->data['entry_geo_zone'] = $this->language->get('entry_geo_zone');
		$this->data['entry_order_status'] = $this->language->get('entry_order_status');
		$this->data['entry_product_id'] = $this->language->get('entry_product_id');
		$this->data['entry_product_name'] = $this->language->get('entry_product_name');
		$this->data['entry_callback'] = $this->language->get('entry_callback');
		$this->data['entry_sort_order'] = $this->language->get('entry_sort_order');

		$this->data['help_callback'] = $this->language->get('help_callback');

		$this->data['button_save'] = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');

		$this->data['tab_general'] = $this->language->get('tab_general');

		$this->data['error_warning'] = @$this->error['warning'];
		$this->data['error_product_id'] = @$this->error['product_id'];
		$this->data['error_product_name'] = @$this->error['product_name'];
	
  		$this->document->breadcrumbs = array();

   		$this->document->breadcrumbs[] = array(
       		'href'      => $this->url->https('common/home'),
       		'text'      => $this->language->get('text_home'),
      		'separator' => FALSE
   		);

   		$this->document->breadcrumbs[] = array(
       		'href'      => $this->url->https('extension/payment'),
       		'text'      => $this->language->get('text_payment'),
      		'separator' => ' :: '
   		);

   		$this->document->breadcrumbs[] = array(
       		'href'      => $this->url->https('payment/chronopay'),
       		'text'      => $this->language->get('heading_title'),
      		'separator' => ' :: '
   		);
				
		$this->data['action'] = $this->url->https('payment/chronopay');
		
		$this->data['cancel'] = $this->url->https('extension/payment');
		
		if (isset($this->request->post['chronopay_status'])) {
			$this->data['chronopay_status'] = $this->request->post['chronopay_status'];
		} else {
			$this->data['chronopay_status'] = $this->config->get('chronopay_status');
		}
		
		if (isset($this->request->post['chronopay_geo_zone_id'])) {
			$this->data['chronopay_geo_zone_id'] = $this->request->post['chronopay_geo_zone_id'];
		} else {
			$this->data['chronopay_geo_zone_id'] = $this->config->get('chronopay_geo_zone_id'); 
		} 

		if (isset($this->request->post['chronopay_order_status_id'])) {
			$this->data['chronopay_order_status_id'] = $this->request->post['chronopay_order_status_id'];
		} else {
			$this->data['chronopay_order_status_id'] = $this->config->get('chronopay_order_status_id'); 
		} 

		$this->load->model('localisation/order_status');
		
		$this->data['order_statuses'] = $this->model_localisation_order_status->getOrderStatuses();
		
		if (isset($this->request->post['chronopay_product_id'])) {
			$this->data['chronopay_product_id'] = $this->request->post['chronopay_product_id'];
		} else {
			$this->data['chronopay_product_id'] = $this->config->get('chronopay_product_id');
		}

		if (isset($this->request->post['chronopay_product_name'])) {
			$this->data['chronopay_product_name'] = $this->request->post['chronopay_product_name'];
		} else {
			$this->data['chronopay_product_name'] = $this->config->get('chronopay_product_name');
		}

		$this->data['callback'] = HTTP_CATALOG . 'index.php?route=payment/asiapay/callback';

		if (isset($this->request->post['chronopay_sort_order'])) {
			$this->data['chronopay_sort_order'] = $this->request->post['chronopay_sort_order'];
		} else {
			$this->data['chronopay_sort_order'] = $this->config->get('chronopay_sort_order');
		}
		
		$this->load->model('localisation/geo_zone');
										
		$this->data['geo_zones'] = $this->model_localisation_geo_zone->getGeoZones();

		$this->id       = 'content';
		$this->template = 'payment/chronopay.tpl';
		$this->layout   = 'module/layout';
		
 		$this->render();
	}

	private function validate() {
		if (!$this->user->hasPermission('modify', 'payment/chronopay')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}
		
		if (!@$this->request->post['chronopay_product_id']) {
			$this->error['product_id'] = $this->language->get('error_product_id');
		}
		
		if (!@$this->request->post['chronopay_product_name']) {
			$this->error['product_name'] = $this->language->get('error_product_name');
		}
		
		if (!$this->error) {
			return TRUE;
		} else {
			return FALSE;
		}	
	}
}
?>